<?php
require_once("../../config.php");

require_once($CFG->libdir.'/weblib.php');

use local_treestudyplan;

$systemcontext = context_system::instance();

$PAGE->set_url("/local/treestudyplan/myreport.php",array());
require_login();

$PAGE->set_pagelayout('base');
$PAGE->set_context($systemcontext);

$teachermode = has_capability("local/treestudyplan:viewuserreports",$systemcontext);

if($teachermode){
	$PAGE->set_title(get_string('myreport_teachermode','local_treestudyplan'));
	$PAGE->set_heading(get_string('myreport_teachermode','local_treestudyplan'));
} else {
	$PAGE->set_title(get_string('report_invited','local_treestudyplan',"{$USER->firstname} {$USER->lastname}"));
	$PAGE->set_heading(get_string('report_invited','local_treestudyplan',"{$USER->firstname} {$USER->lastname}"));
}

// Load javascripts and specific css
$PAGE->requires->css(new moodle_url($CFG->wwwroot.'/local/treestudyplan/css/bootstrap-vue/bootstrap-vue.css'));
$PAGE->requires->css(new moodle_url($CFG->wwwroot.'/local/treestudyplan/css/devstyles.css'));
$PAGE->requires->js_call_amd('local_treestudyplan/page-myreport', 'init',[$teachermode?'teaching':'myreport']);

//Local translate function
function t($str, $param=null, $plugin='local_treestudyplan'){
	print get_string($str,$plugin,$param);
}

print $OUTPUT->header();
?>
<div class="m-buttonbar" style="margin-bottom: 1em; text-align: right;">
<?php if(!$teachermode){ ?>
<a class="btn btn-primary" href="invitations.php" id="manage_invites"><i class="fa fa-share"></i> <?php t('manage_invites'); ?></a>
<?php } ?>
</div>
<div id='root'>
	<div class='vue-loader' v-show='false'>
		<div class="spinner-border text-primary" role="status">
			<span class="sr-only">Loading...</span>
		</div>
	</div>
	<div v-cloak>
		<r-report v-model="studyplans" <?php print ($teachermode?"teachermode":""); ?> ></r-report>
	</div>
</div>

<?php

print $OUTPUT->footer();